package com.jkcredit.invoice.common;

/**
 * @Description:魔法值 相关常量
 * @Author: junqiang.lu
 * @Date: 2019/12/3
 */
public class CommonConst {

    /**
     * 逗号
     */
    public static final String COMMA = ",";

    /**
     * 逗号
     */
    public static final char COMMAS = ',';

    /**
     * 0 -自有车
     * 1 -外协车
     * 2 -无车
     */
    public static final String SELF_CAR = "0";
    public static final String FOREIGE_CAR = "1";
    public static final String NO_CAR = "2";


    public static final String ZERO = "0";
    public static final String ONE = "1";
    public static final String TWO = "2";
    public static final String THREE = "3";
    public static final String FOR = "4";
    public static final String FIVE = "5";
    public static final String SIX = "6";
    public static final String SEVEN = "7";
    public static final String EIGHT = "8";
    public static final String NINE = "9";
    public static final String TEN = "10";

    public static final int ZERO_NUM = 0;
    public static final int ONE_NUM = 1;
    public static final int TWO_NUM = 2;
    public static final int THREE_NUM = 3;
    public static final int FOR_NUM = 4;
    public static final int FIVE_NUM = 5;
    public static final int SIX_NUM = 6;
    public static final int SEVEN_NUM = 7;
    public static final int EIGHT_NUM = 8;
    public static final int NINE_NUM = 9;
    public static final int TEN_NUM = 10;
    public static final int A_THOUSAND = 1000;


    public static final int NE_ONE_NUM = -1;
    public static final int NE_TWO_NUM = -2;
    public static final int NE_THREE_NUM = -3;
    public static final int NE_FOR_NUM = -4;
    public static final int NE_FIVE_NUM = -5;
    public static final int NE_SIX_NUM = -6;
    public static final int NE_SEVEN_NUM = -7;
    public static final int NE_EIGHT_NUM = -8;
    public static final int NE_NINE_NUM = -9;
    public static final int NE_TEN_NUM = -10;

    /**
     * NULL
     */
    public static final String NULL = "null";

    public static final int COMPUTE = 10 * 1024 * 1024;


    /***********备案状态或者公司类型*********/
    public static final int REC_STATUS_FAIL = 0;
    public static final int REC_STATUS_SUC = 1;
    public static final int REC_STATUS_UN = 2;
    public static final int REC_STATUS_WAIT = 3;


    public static final int INTONE = -72;
    public static final int INTTOW = -20;
    public static final int INTTHREE = -96;


    /**
     * result
     */
    public static final String RESULT = "result";

    /**
     * XyWaybillHistoryEnd
     */
    public static final String XY_WAYBILL_HISTORY_END = "XyWaybillHistoryEnd";

    /**
     * 未查得
     */
    public static final String NOT_FOUND = "未查得";

    public static final String PATH = "/";
    public static final String USER_PATH = "/user/";
    public static final String STATIC_PATH = "/static/";
    public static final String CONTEXT_PATH = "/jkcredit/";


}
