package com.jkcredit.invoice.credit.interserver;

import com.jkcredit.invoice.common.DataResult;

/**
 * 企业备案接口
 * @author mumuxigua
 */
public interface CustomerInterLowerService {

    /**
     *  自有车、无车 客户企业备案接口；
     * @param appKey
     * @param api
     * @param data
     * @param requestid
     * @return
     */
    DataResult customeInterRec(String appKey, String api, String data, String requestid);

    /**
     * 自有车、无车 客户企业查询接口；
     * @param appKey
     * @param api
     * @param data
     * @param requestid
     * @return
     */
    DataResult customeInterRecQuery(String appKey, String api, String data, String requestid);

    /**
     * 无车 自有车协议上传
     * @param appKey
     * @param api
     * @param data
     * @param requestid
     * @return
     */
    DataResult customeProtocolUpLoad(String appKey, String api, String data, String requestid);

    /**
     * 自有车 无车、协议上传状态查询
     * @param appKey
     * @param api
     * @param data
     * @param requestid
     * @return
     */
    DataResult customeProtocolStatus(String appKey, String api, String data, String requestid);
}
