package com.jkcredit.invoice.mapper.binvoce;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.invoice.SelfCarAppl;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 自有车申请接口
 * @author mumuxigua
 */
@Repository
public interface SelfCarApplMapper extends BaseMapper<SelfCarAppl> {

    /**
     * 分页查询自有车 运单列表
     * @param page
     * @param selfCarAppl
     * @return
     */
    IPage<List<SelfCarAppl>> selectAllByPage(Page page, @Param("selfCarAppl") SelfCarAppl selfCarAppl);

    /**
     * 查询自有车所有运单列表
     * @return
     */
    List<SelfCarAppl> selectAllNoRec();

    /**
     * 插入自有车运单申请列表
     * @param record
     * @return
     */
    @Override
    int insert(SelfCarAppl record);
}
