package com.jkcredit.invoice.service.calculateinfor;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.calculate.SelfCarCalculateInfor;

import java.util.List;
import java.util.Map;

/**
 * 自有车计费服务
 * @author mumuxigua
 */
public interface SelfCarCalculateInfoService {
    /**
     * 查询所有自有车计费服务接口
     *
     * @param page
     * @param calculateInfor
     * @return
     */
    IPage<List<SelfCarCalculateInfor>> findByPageAndCalculateInfor(Page page, SelfCarCalculateInfor calculateInfor);

    /**
     * 查询自有车计费统计信息
     *
     * @param calculateInfor
     * @return
     */
    List<Map<String, String>> findSelfcarCalculateInfoSta(SelfCarCalculateInfor calculateInfor);
}
