package com.jkcredit.invoice.service.nocar.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.binvoce.HcInvoiceMapper;
import com.jkcredit.invoice.model.entity.invoice.HcInvoice;
import com.jkcredit.invoice.service.nocar.HcInvoiceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 红充发票接口实现类
 * @author mumuxigua
 */
@Service
public class HcInvoiceServiceImpl extends ServiceImpl<HcInvoiceMapper, HcInvoice> implements HcInvoiceService {
    @Autowired
    HcInvoiceMapper hcInvoiceMapper;

    @Override
    public IPage<HcInvoice> findByPageAndWayBill(Page page, HcInvoice hcInvoice) {
        return hcInvoiceMapper.selectAllByPage(page, hcInvoice);
    }
}
