package com.jkcredit.invoice.service.selfcar;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.invoice.SelfCarInvoice;
import com.jkcredit.invoice.util.RespR;

import java.util.List;

/**
 * 自有车发票服务
 * @author mumuxigua
 */
public interface SelfCarInvoiceService {
    /**
     * 查询所有发票接口
     *
     * @param page
     * @param selfCarInvoice
     * @return
     */
    IPage<List<SelfCarInvoice>> findByPageAndInvoice(Page page, SelfCarInvoice selfCarInvoice);

    /**
     * 批量查询自有车发票信息
     *
     * @param list
     * @return
     */
    RespR findImportSelfcarInvoices(List<SelfCarInvoice> list);
}
