package com.jkcredit.invoice.service.selfcar.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.mapper.binvoce.SelfCarApplMapper;
import com.jkcredit.invoice.model.entity.invoice.SelfCarAppl;
import com.jkcredit.invoice.service.selfcar.SelfCarApplyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 自有车申请接口实现类
 * @author mumuxigua
 */
@Service
public class SelfCarApplyServiceImpl implements SelfCarApplyService {
    @Autowired
    SelfCarApplMapper selfCarApplMapper;

    @Override
    public IPage<List<SelfCarAppl>> findByPageAndInvoice(Page page, SelfCarAppl selfCarAppl) {
        return selfCarApplMapper.selectAllByPage(page, selfCarAppl);
    }
}
