package com.jkcredit.invoice.service.upservice;

import cn.com.taiji.sdk.model.comm.protocol.eoms.company.*;
import com.jkcredit.invoice.util.RespR;

/**
 * 共同接口
 *
 * @author mumuxigua
 */
public interface CommInterFace {
    /**
     * 企业查询
     *
     * @param companyQueryRequest
     * @return
     */
    RespR<CompanyQueryResponse> companyQuery(CompanyQueryRequest companyQueryRequest);

    /**
     * 企业注册
     *
     * @param companyAddRequest
     * @return
     */
    RespR<CompanyAddResponse> addCompany(CompanyAddRequest companyAddRequest);

    /**
     * 协议上传
     *
     * @param contractAddRequest
     * @return
     */
    RespR<B2bContractAddResponse> b2bContractAdd(B2bContractAddRequest contractAddRequest);

    /**
     * 协议查询
     *
     * @param b2bContractQueryRequest
     * @return
     */
    RespR<B2bContractQueryResponse> b2bContractQuery(B2bContractQueryRequest b2bContractQueryRequest);
}
