package com.jkcredit.invoice.service.customer;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.customer.CustomerEtcChangeInfo;

import java.util.List;
import java.util.Map;

/**
 * 企业换绑接口
 * @author mumuxigua
 */
public interface CustomerChangeInfoService {

    /**
     * 分页查询换绑记录
     * @param page
     * @param custometEtcChangeInfo
     * @return
     */
    IPage findAllCustomerChangeInfo(Page page, CustomerEtcChangeInfo custometEtcChangeInfo);

    /**
     * 按照请求id 查询换绑记录
     * @param applyId
     * @return
     */
    List<Map<String, String>> selectChangeCards(String applyId);
}
