package com.jkcredit.invoice.service.customer.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jkcredit.invoice.mapper.customer.CustomerChangeInfoMapper;
import com.jkcredit.invoice.model.entity.customer.CustomerEtcChangeInfo;
import com.jkcredit.invoice.service.customer.CustomerChangeInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 企业换绑接口实现类
 * @author mumuxigua
 */
@Service("customerChangeInfoService")
public class CustomerChangeInfoServiceImpl extends ServiceImpl<CustomerChangeInfoMapper, CustomerEtcChangeInfo> implements CustomerChangeInfoService {

    @Autowired
    CustomerChangeInfoMapper customerChangeInfoMapper;

    @Override
    public IPage findAllCustomerChangeInfo(Page page, CustomerEtcChangeInfo custometEtcChangeInfo) {
        return customerChangeInfoMapper.selectAllByPage(page, custometEtcChangeInfo);
    }

    @Override
    public List<Map<String, String>> selectChangeCards(String applyId) {
        return customerChangeInfoMapper.selectChangeCards(applyId);
    }
}
