package com.jkcredit.invoice.service.lowerservice;

import com.jkcredit.invoice.model.entity.user.User;

/**
 * 校验接口
 * @author mumuxigua
 */
public interface CheckHasAuthRole {

    /**
     * 公司角色校验
     *
     * @param user
     * @param company
     */
    void checkCompanyRole(User user, String company);

    /**
     * 客户角色校验
     *
     * @param user
     * @param customerName
     */
    void checkCustomerRole(User user, String customerName);

    /**
     * 空信息校验
     * @createDate 2023/1/16 下午3:31
     * @param args
     * @author mashengyi
     * @return boolean
     * @throws
     */
    boolean checkMessage(String ... args);
}
