package com.jkcredit.invoice.service.nocar;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.waybill.NoCarWayBill;

import java.util.List;

/**
 * 导入运单维护接口
 * @author mumuxigua
 */
public interface NoCarBillWayImportService {
    /**
     * 查询所有运单号接口
     *
     * @param page
     * @param noCarWayBill
     * @return
     */
    IPage<List<NoCarWayBill>> findByPageAndWayBill(Page page, NoCarWayBill noCarWayBill);

    /**
     * 查询所有异常运单号接口
     *
     * @param page
     * @param noCarWayBill
     * @return
     */
    IPage<List<NoCarWayBill>> findByPageAndWayBillException(Page page, NoCarWayBill noCarWayBill);

    /**
     * 客户端导入指令保存
     *
     * @param record
     */
    void insertImport(NoCarWayBill record);

    /**
     * 根据异常信息 更新运单数据
     *
     * @param status
     * @param msg
     * @param noCarWayBill
     */
    void updateBillway(int status, String msg, NoCarWayBill noCarWayBill);
}
